> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lyceum.technology/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Credits

> Get current user's credit balance.



## OpenAPI

````yaml /api-reference/openapi.json get /api/v2/external/billing/credits
openapi: 3.1.0
info:
  title: Lyceum Cloud API
  version: 0.1.0
servers:
  - url: https://api.lyceum.technology
    description: Production
security:
  - bearerAuth: []
paths:
  /api/v2/external/billing/credits:
    get:
      tags:
        - Billing
      summary: Get User Credits
      description: Get current user's credit balance.
      operationId: get_user_credits_api_v2_external_billing_credits_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreditsBalance'
components:
  schemas:
    CreditsBalance:
      properties:
        available_credits:
          type: number
          title: Available Credits
        used_credits:
          type: number
          title: Used Credits
        total_credits_used:
          type: number
          title: Total Credits Used
        remaining_credits:
          type: number
          title: Remaining Credits
        monthly_free_credits:
          type: number
          title: Monthly Free Credits
          default: 0
        purchased_credits:
          type: number
          title: Purchased Credits
          default: 0
        signup_grant_claimed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Signup Grant Claimed At
      type: object
      required:
        - available_credits
        - used_credits
        - total_credits_used
        - remaining_credits
      title: CreditsBalance
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Pass an API key (prefixed `lk_`) or a JWT access token as a bearer
        token. Generate API keys in the dashboard at
        https://dashboard.lyceum.technology/api-keys.

````